FROM  ubuntu:latest
#FROM  eicweb.phy.anl.gov:4567/whit/image_recipes/ubuntu_base:latest

LABEL maintainer="Whitney Armstrong <warmstrong@anl.gov>" \
      name="phoebus alarm server" \
      group="epics" \
      march="native" \
      basedist="ubuntu" \
      base="ubuntu"

RUN apt-get update  && apt-get upgrade -y 

RUN apt-get update  && apt-get upgrade -y  \
      && apt-get install -y openjdk-11-jdk openjdk-11-jre  wget zip git \
      && apt-get install -y icedtea-8-plugin festival alsa-base alsa-utils pulseaudio \
      && update-java-alternatives --set /usr/lib/jvm/java-1.11.0-openjdk-amd64 \
      && cd /opt \
      && wget http://apache.claz.org/kafka/2.3.0/kafka_2.12-2.3.0.tgz \
      && tar -zxf kafka_2.12-2.3.0.tgz \
      && ln -s kafka_2.12-2.3.0 kafka  \
      && mkdir /opt/css

RUN  cd /opt/css \
      && wget -q https://controlssoftware.sns.ornl.gov/css_phoebus/nightly/phoebus-linux.zip

RUN  cd /opt/css && ls -lrth \
      && unzip phoebus-linux.zip \ 
      && wget -q https://controlssoftware.sns.ornl.gov/css_phoebus/nightly/alarm-server-0.0.1.zip  \ 
      && unzip alarm-server-0.0.1.zip \
      && wget -q https://controlssoftware.sns.ornl.gov/css_rcp/nightly/basic-epics-4.5.0-linux.gtk.x86_64.zip   \ 
      && unzip basic-epics-4.5.0-linux.gtk.x86_64.zip \
      && ls -l \
      && rm phoebus-linux.zip \
      && rm alarm-server-0.0.1.zip \
      && rm basic-epics-4.5.0-linux.gtk.x86_64.zip

#ADD kafka_config/server.properties    /opt/kafka/config/server.properties
#ADD kafka_config/zookeeper.properties /opt/kafka/config/zookeeper.properties
ADD kafka_config    /opt/kafka/config
#ADD examples /opt/examples
ADD bin /opt/bin

RUN cd /opt/bin && ls -lrth /opt && ls -lrth /opt/css \
      && sed -i 's/TOP=\"\.\"/TOP=\"\/opt\/css\/phoebus-0.0.1\"/g' /opt/css/phoebus-4.6.0/phoebus.sh \
      && sed -i 's/TOP=\"\.\"/TOP=\"\/opt\/css\/alarm-server-0.0.1\"/g' /opt/css/alarm-server-0.0.1/alarm-server.sh \
      && sed -i 's/&$//g' /opt/css/phoebus-4.6.0/phoebus.sh


#RUN apt-get install -y vim maven openjdk-11-jdk openjdk-11-jre  \
#      && cd /opt/css \
#      && git clone --depth=1 https://github.com/shroffk/phoebus.git \
#      && cd phoebus 


#RUN cd /opt/css/phoebus \
#      && mvn clean -Dmaven.test.skip=true install

#ADD systemd/*    /etc/systemd/system/
#
#RUN apt-get install -y systemd-container

##CMD ["-c" ]
#ENTRYPOINT ["/bin/bash"]

